Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Errors building the Kite SDK

Errors building the Kite SDK

Explorer

Hi...

 

I am trying to build the Kite SDK (latest version, 0.14.2) from its sources, downloaded from https://github.com/kite-sdk/kite, but whether I use the default Hadoop dependencies, or the 2 alternatives for "hadoop.profile", the build fails at the Kite Data Core Module, where certain tests complain that they cannot find classes like DatasetDescriptor, PartitionStrategy and many others from the org.kitesdk.data package.

 

Any ideas? For instance, do I need to install a specific version of Hadoop (e.g., CDH4) for the build to compile?

 

Thanks,

 

PNS

 

1 REPLY 1

Re: Errors building the Kite SDK

Expert Contributor

Hi PNS!

 

Are you still having difficulties with this?

 

I've just grabbed the current source (0.16.0-SNAPSHOT) and it builds fine using "mvn test". Could you post some more details of your issue?